let Data = {"states":[
  {"id":"*",
   "state":[]},
  
  {"id":"1",
   "state":[{"instance":"driver.acquisition",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"driver.optics",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"optics.optics.focus",
             "state":[{"name":"idle", "value":"true"}]},
            {"instance":"optics.focus.focus",
             "state":[{"name":"contrast_was", "value":"EContrast:Blurrier"}]},
            {"instance":"optics.focus.focus.lens",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"optics.focus.lens.port",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"acquisition.acquire.sensor",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"acquisition.sensor.port",
             "state":[{"name":"state", "value":"State:Idle"}]}]},
  
  {"id":"2",
   "state":[{"instance":"driver.acquisition",
             "state":[{"name":"state", "value":"State:Ready"}]},
            {"instance":"driver.optics",
             "state":[{"name":"state", "value":"State:Prepare"}]},
            {"instance":"optics.optics.focus",
             "state":[{"name":"idle", "value":"false"}]},
            {"instance":"optics.focus.focus",
             "state":[{"name":"contrast_was", "value":"EContrast:Sharper"}]},
            {"instance":"optics.focus.focus.lens",
             "state":[{"name":"moving", "value":"true"}]},
            {"instance":"optics.focus.lens.port",
             "state":[{"name":"moving", "value":"true"}]},
            {"instance":"acquisition.acquire.sensor",
             "state":[{"name":"state", "value":"State:Ready"}]},
            {"instance":"acquisition.sensor.port",
             "state":[{"name":"state", "value":"State:Ready"}]}]},
  
  {"id":"3",
   "state":[{"instance":"driver.acquisition",
             "state":[{"name":"state", "value":"State:Ready"}]},
            {"instance":"driver.optics",
             "state":[{"name":"state", "value":"State:Ready"}]},
            {"instance":"optics.optics.focus",
             "state":[{"name":"idle", "value":"true"}]},
            {"instance":"optics.focus.focus",
             "state":[{"name":"contrast_was", "value":"EContrast:Blurrier"}]},
            {"instance":"optics.focus.focus.lens",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"optics.focus.lens.port",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"acquisition.acquire.sensor",
             "state":[{"name":"state", "value":"State:Ready"}]},
            {"instance":"acquisition.sensor.port",
             "state":[{"name":"state", "value":"State:Ready"}]}]},
  
  {"id":"4",
   "state":[{"instance":"driver.acquisition",
             "state":[{"name":"state", "value":"State:Acquiring"}]},
            {"instance":"driver.optics",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"optics.optics.focus",
             "state":[{"name":"idle", "value":"true"}]},
            {"instance":"optics.focus.focus",
             "state":[{"name":"contrast_was", "value":"EContrast:Blurrier"}]},
            {"instance":"optics.focus.focus.lens",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"optics.focus.lens.port",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"acquisition.acquire.sensor",
             "state":[{"name":"state", "value":"State:Acquire"}]},
            {"instance":"acquisition.sensor.port",
             "state":[{"name":"state", "value":"State:Acquire"}]}]},
  
  {"id":"5",
   "state":[{"instance":"driver.acquisition",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"driver.optics",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"optics.optics.focus",
             "state":[{"name":"idle", "value":"true"}]},
            {"instance":"optics.focus.focus",
             "state":[{"name":"contrast_was", "value":"EContrast:Sharper"}]},
            {"instance":"optics.focus.focus.lens",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"optics.focus.lens.port",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"acquisition.acquire.sensor",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"acquisition.sensor.port",
             "state":[{"name":"state", "value":"State:Idle"}]}]},
  
  {"id":"6",
   "state":[{"instance":"driver.acquisition",
             "state":[{"name":"state", "value":"State:Ready"}]},
            {"instance":"driver.optics",
             "state":[{"name":"state", "value":"State:Prepare"}]},
            {"instance":"optics.optics.focus",
             "state":[{"name":"idle", "value":"false"}]},
            {"instance":"optics.focus.focus",
             "state":[{"name":"contrast_was", "value":"EContrast:Blurrier"}]},
            {"instance":"optics.focus.focus.lens",
             "state":[{"name":"moving", "value":"true"}]},
            {"instance":"optics.focus.lens.port",
             "state":[{"name":"moving", "value":"true"}]},
            {"instance":"acquisition.acquire.sensor",
             "state":[{"name":"state", "value":"State:Ready"}]},
            {"instance":"acquisition.sensor.port",
             "state":[{"name":"state", "value":"State:Ready"}]}]},
  
  {"id":"7",
   "state":[{"instance":"driver.acquisition",
             "state":[{"name":"state", "value":"State:Acquiring"}]},
            {"instance":"driver.optics",
             "state":[{"name":"state", "value":"State:Idle"}]},
            {"instance":"optics.optics.focus",
             "state":[{"name":"idle", "value":"true"}]},
            {"instance":"optics.focus.focus",
             "state":[{"name":"contrast_was", "value":"EContrast:Sharper"}]},
            {"instance":"optics.focus.focus.lens",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"optics.focus.lens.port",
             "state":[{"name":"moving", "value":"false"}]},
            {"instance":"acquisition.acquire.sensor",
             "state":[{"name":"state", "value":"State:Acquire"}]},
            {"instance":"acquisition.sensor.port",
             "state":[{"name":"state", "value":"State:Acquire"}]}]}],
            
"transitions":[
  {"from":"*", "to":"1",
   "trigger":"",
   "action":[""],
   "location":"undefined"},
  
  {"from":"1", "to":"2",
   "trigger":"control.setup",
   "action":["acquisition.sensor.port.prepare",
             "acquisition.sensor.port.return",
             "optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Sharper",
             "optics.focus.lens.port.forward",
             "optics.focus.lens.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":80,"column":5,"end-line":80,"end-column":67}},
  
  {"from":"1", "to":"6",
   "trigger":"control.setup",
   "action":["acquisition.sensor.port.prepare",
             "acquisition.sensor.port.return",
             "optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Blurrier",
             "optics.focus.lens.port.forward",
             "optics.focus.lens.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":80,"column":5,"end-line":80,"end-column":67}},
  
  {"from":"2", "to":"2",
   "trigger":"optics.focus.lens.port.stopped",
   "action":["optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Sharper",
             "optics.focus.lens.port.forward",
             "optics.focus.lens.port.return"],
   "location":{"file-name":"Optics.dzn","line":108,"column":5,"end-line":115,"end-column":6}},
  
  {"from":"2", "to":"3",
   "trigger":"optics.focus.lens.port.stopped",
   "action":["optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Blurrier",
             "control.focus_lock"],
   "location":{"file-name":"Optics.dzn","line":108,"column":5,"end-line":115,"end-column":6}},
  
  {"from":"2", "to":"5",
   "trigger":"control.release",
   "action":["acquisition.sensor.port.cancel",
             "acquisition.sensor.port.return",
             "optics.focus.lens.port.stop",
             "optics.focus.lens.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":83,"column":5,"end-line":83,"end-column":67}},
  
  {"from":"2", "to":"7",
   "trigger":"control.shoot",
   "action":["acquisition.sensor.port.acquire",
             "acquisition.sensor.port.return",
             "optics.focus.lens.port.stop",
             "optics.focus.lens.port.return",
             "optics.shutter.port.expose",
             "optics.shutter.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":82,"column":5,"end-line":82,"end-column":67}},
  
  {"from":"3", "to":"1",
   "trigger":"control.release",
   "action":["acquisition.sensor.port.cancel",
             "acquisition.sensor.port.return",
             "optics.focus.lens.port.stop",
             "optics.focus.lens.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":83,"column":5,"end-line":83,"end-column":67}},
  
  {"from":"3", "to":"4",
   "trigger":"control.shoot",
   "action":["acquisition.sensor.port.acquire",
             "acquisition.sensor.port.return",
             "optics.focus.lens.port.stop",
             "optics.focus.lens.port.return",
             "optics.shutter.port.expose",
             "optics.shutter.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":82,"column":5,"end-line":82,"end-column":67}},
  
  {"from":"4", "to":"1",
   "trigger":"acquisition.sensor.port.image",
   "action":["acquisition.memory.port.store",
             "acquisition.memory.port.return",
             "control.image"],
   "location":{"file-name":"Acquisition.dzn","line":96,"column":5,"end-line":96,"end-column":55}},
  
  {"from":"5", "to":"2",
   "trigger":"control.setup",
   "action":["acquisition.sensor.port.prepare",
             "acquisition.sensor.port.return",
             "optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Sharper",
             "optics.focus.lens.port.forward",
             "optics.focus.lens.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":80,"column":5,"end-line":80,"end-column":67}},
  
  {"from":"5", "to":"6",
   "trigger":"control.setup",
   "action":["acquisition.sensor.port.prepare",
             "acquisition.sensor.port.return",
             "optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Blurrier",
             "optics.focus.lens.port.forward",
             "optics.focus.lens.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":80,"column":5,"end-line":80,"end-column":67}},
  
  {"from":"6", "to":"2",
   "trigger":"optics.focus.lens.port.stopped",
   "action":["optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Sharper",
             "optics.focus.lens.port.backward",
             "optics.focus.lens.port.return"],
   "location":{"file-name":"Optics.dzn","line":108,"column":5,"end-line":115,"end-column":6}},
  
  {"from":"6", "to":"6",
   "trigger":"optics.focus.lens.port.stopped",
   "action":["optics.focus.sensor.port.measure",
             "optics.focus.sensor.port.EContrast:Blurrier",
             "optics.focus.lens.port.backward",
             "optics.focus.lens.port.return"],
   "location":{"file-name":"Optics.dzn","line":108,"column":5,"end-line":115,"end-column":6}},
  
  {"from":"6", "to":"1",
   "trigger":"control.release",
   "action":["acquisition.sensor.port.cancel",
             "acquisition.sensor.port.return",
             "optics.focus.lens.port.stop",
             "optics.focus.lens.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":83,"column":5,"end-line":83,"end-column":67}},
  
  {"from":"6", "to":"4",
   "trigger":"control.shoot",
   "action":["acquisition.sensor.port.acquire",
             "acquisition.sensor.port.return",
             "optics.focus.lens.port.stop",
             "optics.focus.lens.port.return",
             "optics.shutter.port.expose",
             "optics.shutter.port.return",
             "control.return"],
   "location":{"file-name":"Camera.dzn","line":82,"column":5,"end-line":82,"end-column":67}},
  
  {"from":"7", "to":"5",
   "trigger":"acquisition.sensor.port.image",
   "action":["acquisition.memory.port.store",
             "acquisition.memory.port.return",
             "control.image"],
   "location":{"file-name":"Acquisition.dzn","line":96,"column":5,"end-line":96,"end-column":55}}],
            
"working-directory":"dezyne-2.18.1"
}
;
